import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
import { InputNumber } from '@mescius/wijmo.input';
import { isArray } from '@mescius/wijmo';
import { Palettes } from '@mescius/wijmo.chart';
import { TreeMap } from '@mescius/wijmo.chart.hierarchical';
import { getData } from './data';
//
document.readyState === 'complete' ? init() : window.onload = init;
//
function init() {
var treemap = new TreeMap('#chart', {
maxDepth: 1,
binding: 'sales',
bindingName: 'type',
childItemsPath: 'items',
itemsSource: getData(),
dataLabel: {
position: 'Center',
content: '{name}'
}
});
treemap.palette = getRandomPalette();
// change chart's maxDepth property
var maxDepth = new InputNumber('#maxDepth', {
min: 0,
max: 4,
step: 1,
format: 'n0',
valueChanged: function (s, e) {
if (s.value >= s.min && s.value <= s.max) {
treemap.maxDepth = s.value;
}
},
value: treemap.maxDepth
});
}
//
function getRandomPalette() {
let palettes = Object.keys(Palettes).filter(prop => isArray(Palettes[prop]));
let rand = Math.floor(Math.random() * palettes.length);
//
return Palettes[palettes[rand]];
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo FlexChart TreeMap Depth</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.5/dist/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div class="container-fluid">
<div>
<label>Max Depth</label>
<input id="maxDepth" type="text" />
</div>
<div id="chart"></div>
</div>
</body>
</html>
// Get random data.
export function getData() {
var data = [
{
type: 'Music', items: [
{
type: 'Country', items: [
{ type: 'Classic Country', sales: getSales() },
{ type: 'Cowboy Country', sales: getSales() },
{ type: 'Outlaw Country', sales: getSales() },
{ type: 'Western Swing', sales: getSales() },
{ type: 'Roadhouse Country', sales: getSales() }
]
},
{
type: 'Rock', items: [
{ type: 'Hard Rock', sales: getSales() },
{ type: 'Blues Rock', sales: getSales() },
{ type: 'Funk Rock', sales: getSales() },
{ type: 'Rap Rock', sales: getSales() },
{ type: 'Guitar Rock', sales: getSales() },
{ type: 'Progressive Rock', sales: getSales() }
]
},
{
type: 'Classical', items: [
{ type: 'Symphonies', sales: getSales() },
{ type: 'Chamber Music', sales: getSales() }
]
},
{
type: 'Soundtracks', items: [
{ type: 'Movie Soundtracks', sales: getSales() },
{ type: 'Musical Soundtracks', sales: getSales() }
]
},
{
type: 'Jazz', items: [
{ type: 'Smooth Jazz', sales: getSales() },
{ type: 'Vocal Jazz', sales: getSales() },
{ type: 'Jazz Fusion', sales: getSales() },
{ type: 'Swing Jazz', sales: getSales() },
{ type: 'Cool Jazz', sales: getSales() },
{ type: 'Traditional Jazz', sales: getSales() }
]
},
{
type: 'Electronic', items: [
{ type: 'Electronica', sales: getSales() },
{ type: 'Disco', sales: getSales() },
{ type: 'House', sales: getSales() }
]
}
]
},
{
type: 'Video', items: [
{
type: 'Movie', items: [
{ type: 'Kid & Family', sales: getSales() },
{ type: 'Action & Adventure', sales: getSales() },
{ type: 'Animation', sales: getSales() },
{ type: 'Comedy', sales: getSales() },
{ type: 'Drama', sales: getSales() },
{ type: 'Romance', sales: getSales() }
]
},
{
type: 'TV', items: [
{ type: 'Science Fiction', sales: getSales() },
{ type: 'Documentary', sales: getSales() },
{ type: 'Fantasy', sales: getSales() },
{ type: 'Military & War', sales: getSales() },
{ type: 'Horror', sales: getSales() }
]
}
]
},
{
type: 'Books', items: [
{
type: 'Arts & Photography', items: [
{ type: 'Architecture', sales: getSales() },
{ type: 'Graphic Design', sales: getSales() },
{ type: 'Drawing', sales: getSales() },
{ type: 'Photography', sales: getSales() },
{ type: 'Performing Arts', sales: getSales() }
]
},
{
type: 'Children\'s Books', items: [
{ type: 'Beginning Readers', sales: getSales() },
{ type: 'Board Books', sales: getSales() },
{ type: 'Chapter Books', sales: getSales() },
{ type: 'Coloring Books', sales: getSales() },
{ type: 'Picture Books', sales: getSales() },
{ type: 'Sound Books', sales: getSales() }
]
},
{
type: 'History', items: [
{ type: 'Ancient', sales: getSales() },
{ type: 'Medieval', sales: getSales() },
{ type: 'Renaissance', sales: getSales() }
]
},
{
type: 'Mystery', items: [
{ type: 'Mystery', sales: getSales() },
{ type: 'Thriller & Suspense', sales: getSales() }
]
},
{
type: 'Romance', items: [
{ type: 'Action & Adventure', sales: getSales() },
{ type: 'Holidays', sales: getSales() },
{ type: 'Romantic Comedy', sales: getSales() },
{ type: 'Romantic Suspense', sales: getSales() },
{ type: 'Western', sales: getSales() },
{ type: 'Historical', sales: getSales() }
]
},
{
type: 'Sci-Fi & Fantasy', items: [
{ type: 'Fantasy', sales: getSales() },
{ type: 'Gaming', sales: getSales() },
{ type: 'Science Fiction', sales: getSales() }
]
}
]
},
{
type: 'Electronics', items: [
{
type: 'Camera', items: [
{ type: 'Digital Cameras', sales: getSales() },
{ type: 'Film Photography', sales: getSales() },
{ type: 'Lenses', sales: getSales() },
{ type: 'Video', sales: getSales() },
{ type: 'Accessories', sales: getSales() }
]
},
{
type: 'Headphones', items: [
{ type: 'Earbud headphones', sales: getSales() },
{ type: 'Over-ear headphones', sales: getSales() },
{ type: 'On-ear headphones', sales: getSales() },
{ type: 'Bluetooth headphones', sales: getSales() },
{ type: 'Noise-cancelling headphones', sales: getSales() },
{ type: 'Audiophile headphones', sales: getSales() }
]
},
{
type: 'Cell Phones', items: [
{ type: 'Cell Phones', sales: getSales() },
{
type: 'Accessories', items: [
{ type: 'Batteries', sales: getSales() },
{ type: 'Bluetooth Headsets', sales: getSales() },
{ type: 'Bluetooth Speakers', sales: getSales() },
{ type: 'Chargers', sales: getSales() },
{ type: 'Screen Protectors', sales: getSales() }
]
}
]
},
{
type: 'Wearable Technology', items: [
{ type: 'Activity Trackers', sales: getSales() },
{ type: 'Smart Watches', sales: getSales() },
{ type: 'Sports & GPS Watches', sales: getSales() },
{ type: 'Virtual Reality Headsets', sales: getSales() },
{ type: 'Wearable Cameras', sales: getSales() },
{ type: 'Smart Glasses', sales: getSales() }
]
}
]
},
{
type: 'Computers & Tablets', items: [
{
type: 'Desktops', items: [
{ type: 'All-in-ones', sales: getSales() },
{ type: 'Minis', sales: getSales() },
{ type: 'Towers', sales: getSales() }
]
},
{
type: 'Laptops', items: [
{ type: '2 in 1 laptops', sales: getSales() },
{ type: 'Traditional laptops', sales: getSales() }
]
},
{
type: 'Tablets', items: [
{ type: 'iOS', sales: getSales() },
{ type: 'Android', sales: getSales() },
{ type: 'Fire OS', sales: getSales() },
{ type: 'Windows', sales: getSales() }
]
}
]
}
];
return data;
}
//
function getSales() {
return Math.round(Math.random() * 100);
}
body {
margin-bottom: 24px;
}
.wj-flexchart {
height: 500px;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
},
meta: {
'*.css': { loader: 'css' },
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/5.20261.50-rc/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
jszip: 'pcdn:jszip@3.8.0/dist/jszip.js',
'bootstrap.css': 'pcdn:bootstrap@3.3.7/dist/css/bootstrap.min.css',
css: 'pcdn:systemjs-plugin-css@0.1.37/css.js',
'plugin-babel': 'pcdn:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'pcdn:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js',
},
node_modules: {
defaultExtension: 'js',
},
},
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import '@angular/compiler';
import { Component, Inject, enableProdMode, ɵresolveComponentResources } from '@angular/core';
import { BrowserModule, bootstrapApplication } from '@angular/platform-browser';
import { WjInputModule } from '@mescius/wijmo.angular2.input';
import { WjChartHierarchicalModule } from '@mescius/wijmo.angular2.chart.hierarchical';
import { DataService } from './app.data';
import { isArray } from '@mescius/wijmo';
import { Palettes } from '@mescius/wijmo.chart';
//
@Component({
standalone: true,
providers: [DataService],
imports: [WjInputModule, WjChartHierarchicalModule, BrowserModule],
selector: 'app-component',
templateUrl: 'src/app.component.html',
})
export class AppComponent {
data: any[];
palette: any;
maxDepth: number;
//
constructor(@Inject(DataService) private dataService: DataService) {
this.data = dataService.getData();
this.palette = this.getRandomPalette();
this.maxDepth = 1;
}
//
getRandomPalette() {
let palettes = Object.keys(Palettes).filter((prop) => isArray(Palettes[prop]));
let rand = Math.floor(Math.random() * palettes.length);
//
return Palettes[palettes[rand]];
}
}
//
//
enableProdMode();
// Resolve resources (templateUrl, styleUrls etc), After resolution all URLs have been converted into `template` strings.
ɵresolveComponentResources(fetch).then(() => {
// Bootstrap application
bootstrapApplication(AppComponent).catch((err) => console.error(err));
});
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo FlexChart TreeMap Depth</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="node_modules/core-js/client/shim.min.js"></script>
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="container-fluid">
<div class="form-group">
<label>Max Depth</label>
<wj-input-number [min]="0" [max]="4" [step]="1" format='n0' [(value)]="maxDepth"></wj-input-number>
</div>
<div class="form-group">
<wj-tree-map binding="sales" bindingName="type" childItemsPath="items"
labelContent="{name}" [itemsSource]="data" [palette]="palette" [maxDepth]="maxDepth">
</wj-tree-map>
</div>
</div>
import { Injectable } from '@angular/core';
//
function getSales() {
return Math.round(Math.random() * 100);
}
//
@Injectable()
export class DataService {
getData() {
var data = [
{
type: 'Music', items: [
{
type: 'Country', items: [
{ type: 'Classic Country', sales: getSales() },
{ type: 'Cowboy Country', sales: getSales() },
{ type: 'Outlaw Country', sales: getSales() },
{ type: 'Western Swing', sales: getSales() },
{ type: 'Roadhouse Country', sales: getSales() }
]
},
{
type: 'Rock', items: [
{ type: 'Hard Rock', sales: getSales() },
{ type: 'Blues Rock', sales: getSales() },
{ type: 'Funk Rock', sales: getSales() },
{ type: 'Rap Rock', sales: getSales() },
{ type: 'Guitar Rock', sales: getSales() },
{ type: 'Progressive Rock', sales: getSales() }
]
},
{
type: 'Classical', items: [
{ type: 'Symphonies', sales: getSales() },
{ type: 'Chamber Music', sales: getSales() }
]
},
{
type: 'Soundtracks', items: [
{ type: 'Movie Soundtracks', sales: getSales() },
{ type: 'Musical Soundtracks', sales: getSales() }
]
},
{
type: 'Jazz', items: [
{ type: 'Smooth Jazz', sales: getSales() },
{ type: 'Vocal Jazz', sales: getSales() },
{ type: 'Jazz Fusion', sales: getSales() },
{ type: 'Swing Jazz', sales: getSales() },
{ type: 'Cool Jazz', sales: getSales() },
{ type: 'Traditional Jazz', sales: getSales() }
]
},
{
type: 'Electronic', items: [
{ type: 'Electronica', sales: getSales() },
{ type: 'Disco', sales: getSales() },
{ type: 'House', sales: getSales() }
]
}
]
},
{
type: 'Video', items: [
{
type: 'Movie', items: [
{ type: 'Kid & Family', sales: getSales() },
{ type: 'Action & Adventure', sales: getSales() },
{ type: 'Animation', sales: getSales() },
{ type: 'Comedy', sales: getSales() },
{ type: 'Drama', sales: getSales() },
{ type: 'Romance', sales: getSales() }
]
},
{
type: 'TV', items: [
{ type: 'Science Fiction', sales: getSales() },
{ type: 'Documentary', sales: getSales() },
{ type: 'Fantasy', sales: getSales() },
{ type: 'Military & War', sales: getSales() },
{ type: 'Horror', sales: getSales() }
]
}
]
},
{
type: 'Books', items: [
{
type: 'Arts & Photography', items: [
{ type: 'Architecture', sales: getSales() },
{ type: 'Graphic Design', sales: getSales() },
{ type: 'Drawing', sales: getSales() },
{ type: 'Photography', sales: getSales() },
{ type: 'Performing Arts', sales: getSales() }
]
},
{
type: 'Children\'s Books', items: [
{ type: 'Beginning Readers', sales: getSales() },
{ type: 'Board Books', sales: getSales() },
{ type: 'Chapter Books', sales: getSales() },
{ type: 'Coloring Books', sales: getSales() },
{ type: 'Picture Books', sales: getSales() },
{ type: 'Sound Books', sales: getSales() }
]
},
{
type: 'History', items: [
{ type: 'Ancient', sales: getSales() },
{ type: 'Medieval', sales: getSales() },
{ type: 'Renaissance', sales: getSales() }
]
},
{
type: 'Mystery', items: [
{ type: 'Mystery', sales: getSales() },
{ type: 'Thriller & Suspense', sales: getSales() }
]
},
{
type: 'Romance', items: [
{ type: 'Action & Adventure', sales: getSales() },
{ type: 'Holidays', sales: getSales() },
{ type: 'Romantic Comedy', sales: getSales() },
{ type: 'Romantic Suspense', sales: getSales() },
{ type: 'Western', sales: getSales() },
{ type: 'Historical', sales: getSales() }
]
},
{
type: 'Sci-Fi & Fantasy', items: [
{ type: 'Fantasy', sales: getSales() },
{ type: 'Gaming', sales: getSales() },
{ type: 'Science Fiction', sales: getSales() }
]
}
]
},
{
type: 'Electronics', items: [
{
type: 'Camera', items: [
{ type: 'Digital Cameras', sales: getSales() },
{ type: 'Film Photography', sales: getSales() },
{ type: 'Lenses', sales: getSales() },
{ type: 'Video', sales: getSales() },
{ type: 'Accessories', sales: getSales() }
]
},
{
type: 'Headphones', items: [
{ type: 'Earbud headphones', sales: getSales() },
{ type: 'Over-ear headphones', sales: getSales() },
{ type: 'On-ear headphones', sales: getSales() },
{ type: 'Bluetooth headphones', sales: getSales() },
{ type: 'Noise-cancelling headphones', sales: getSales() },
{ type: 'Audiophile headphones', sales: getSales() }
]
},
{
type: 'Cell Phones', items: [
{ type: 'Cell Phones', sales: getSales() },
{
type: 'Accessories', items: [
{ type: 'Batteries', sales: getSales() },
{ type: 'Bluetooth Headsets', sales: getSales() },
{ type: 'Bluetooth Speakers', sales: getSales() },
{ type: 'Chargers', sales: getSales() },
{ type: 'Screen Protectors', sales: getSales() }
]
}
]
},
{
type: 'Wearable Technology', items: [
{ type: 'Activity Trackers', sales: getSales() },
{ type: 'Smart Watches', sales: getSales() },
{ type: 'Sports & GPS Watches', sales: getSales() },
{ type: 'Virtual Reality Headsets', sales: getSales() },
{ type: 'Wearable Cameras', sales: getSales() },
{ type: 'Smart Glasses', sales: getSales() }
]
}
]
},
{
type: 'Computers & Tablets', items: [
{
type: 'Desktops', items: [
{ type: 'All-in-ones', sales: getSales() },
{ type: 'Minis', sales: getSales() },
{ type: 'Towers', sales: getSales() }
]
},
{
type: 'Laptops', items: [
{ type: '2 in 1 laptops', sales: getSales() },
{ type: 'Traditional laptops', sales: getSales() }
]
},
{
type: 'Tablets', items: [
{ type: 'iOS', sales: getSales() },
{ type: 'Android', sales: getSales() },
{ type: 'Fire OS', sales: getSales() },
{ type: 'Windows', sales: getSales() }
]
}
]
}
];
return data;
}
}
body {
margin-bottom: 24px;
}
label {
margin-right: 3px;
}
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: 'node_modules/',
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'systemjs-plugin-css' },
'*.mjs': {
format: 'esm'
},
},
paths: {
// paths serve as alias
'npm:': ''
},
packageConfigPaths: [
'/node_modules/*/package.json',
"/node_modules/@angular/*/package.json",
"/node_modules/@mescius/*/package.json"
],
map: {
'core-js': 'https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js',
'typescript': 'https://cdnjs.cloudflare.com/ajax/libs/typescript/5.2.2/typescript.min.js',
"rxjs": "https://cdnjs.cloudflare.com/ajax/libs/rxjs/7.8.1/rxjs.umd.min.js",
'systemjs-plugin-css': 'https://cdn.jsdelivr.net/npm/systemjs-plugin-css@0.1.37/css.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.angular2.chart.analytics": "npm:@mescius/wijmo.angular2.chart.analytics/index.js",
"@mescius/wijmo.angular2.chart.animation": "npm:@mescius/wijmo.angular2.chart.animation/index.js",
"@mescius/wijmo.angular2.chart.annotation": "npm:@mescius/wijmo.angular2.chart.annotation/index.js",
"@mescius/wijmo.angular2.chart.finance.analytics": "npm:@mescius/wijmo.angular2.chart.finance.analytics/index.js",
"@mescius/wijmo.angular2.chart.finance": "npm:@mescius/wijmo.angular2.chart.finance/index.js",
"@mescius/wijmo.angular2.chart.hierarchical": "npm:@mescius/wijmo.angular2.chart.hierarchical/index.js",
"@mescius/wijmo.angular2.chart.interaction": "npm:@mescius/wijmo.angular2.chart.interaction/index.js",
"@mescius/wijmo.angular2.chart.radar": "npm:@mescius/wijmo.angular2.chart.radar/index.js",
'@mescius/wijmo.angular2.chart.map': 'npm:@mescius/wijmo.angular2.chart.map/index.js',
"@mescius/wijmo.angular2.chart": "npm:@mescius/wijmo.angular2.chart/index.js",
"@mescius/wijmo.angular2.core": "npm:@mescius/wijmo.angular2.core/index.js",
"@mescius/wijmo.angular2.gauge": "npm:@mescius/wijmo.angular2.gauge/index.js",
"@mescius/wijmo.angular2.grid.detail": "npm:@mescius/wijmo.angular2.grid.detail/index.js",
"@mescius/wijmo.angular2.grid.filter": "npm:@mescius/wijmo.angular2.grid.filter/index.js",
"@mescius/wijmo.angular2.grid.grouppanel": "npm:@mescius/wijmo.angular2.grid.grouppanel/index.js",
"@mescius/wijmo.angular2.grid.search": "npm:@mescius/wijmo.angular2.grid.search/index.js",
"@mescius/wijmo.angular2.grid.multirow": "npm:@mescius/wijmo.angular2.grid.multirow/index.js",
"@mescius/wijmo.angular2.grid.sheet": "npm:@mescius/wijmo.angular2.grid.sheet/index.js",
'@mescius/wijmo.angular2.grid.transposed': 'npm:@mescius/wijmo.angular2.grid.transposed/index.js',
'@mescius/wijmo.angular2.grid.transposedmultirow': 'npm:@mescius/wijmo.angular2.grid.transposedmultirow/index.js',
"@mescius/wijmo.angular2.grid": "npm:@mescius/wijmo.angular2.grid/index.js",
"@mescius/wijmo.angular2.input": "npm:@mescius/wijmo.angular2.input/index.js",
"@mescius/wijmo.angular2.olap": "npm:@mescius/wijmo.angular2.olap/index.js",
"@mescius/wijmo.angular2.viewer": "npm:@mescius/wijmo.angular2.viewer/index.js",
"@mescius/wijmo.angular2.nav": "npm:@mescius/wijmo.angular2.nav/index.js",
"@mescius/wijmo.angular2.directivebase": "npm:@mescius/wijmo.angular2.directivebase/index.js",
'@mescius/wijmo.angular2.barcode.common': 'npm:@mescius/wijmo.angular2.barcode.common/index.js',
'@mescius/wijmo.angular2.barcode.composite': 'npm:@mescius/wijmo.angular2.barcode.composite/index.js',
'@mescius/wijmo.angular2.barcode.specialized': 'npm:@mescius/wijmo.angular2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js',
'@angular/core': 'npm:@angular/core/fesm2022/core.mjs',
'@angular/core/primitives/di': 'npm:@angular/core/fesm2022/primitives/di.mjs',
'@angular/core/primitives/signals': 'npm:@angular/core/fesm2022/primitives/signals.mjs',
'@angular/core/primitives/event-dispatch': 'npm:@angular/core/fesm2022/primitives/event-dispatch.mjs',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/http': 'npm:@angular/http/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: 'ts'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import ReactDOM from 'react-dom/client';
import React, { useState } from 'react';
import useEvent from 'react-use-event-hook';
import * as wjInput from '@mescius/wijmo.react.input';
import * as wjHierarchical from '@mescius/wijmo.react.chart.hierarchical';
import './app.css';
import { data, palette } from './data';
function App() {
const [maxDepth, setMaxDepth] = useState(1);
const initTreemap = useEvent((sender) => {
sender.dataLabel.content = "{name}";
});
const maxDepthChanged = useEvent((s) => {
if (s.value >= s.min && s.value <= s.max) {
setMaxDepth(s.value);
}
});
return (<div className="container-fluid">
<div className="form-group">
<label>Max Depth</label>
<wjInput.InputNumber min={0} max={4} step={1} format="n0" value={maxDepth} valueChanged={maxDepthChanged}/>
</div>
<div className="form-group">
<wjHierarchical.TreeMap binding="sales" bindingName="type" childItemsPath="items" initialized={initTreemap} itemsSource={data} palette={palette} maxDepth={maxDepth}>
</wjHierarchical.TreeMap>
</div>
</div>);
}
const container = document.getElementById('app');
if (container) {
const root = ReactDOM.createRoot(container);
root.render(<App />);
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo Wijmo FlexChart TreeMap Depth</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.40/system.src.js" integrity="sha512-G6mEj6h18+m3MvzdviSDfPle/TfH0//cXcB33AKlNR/Rha0yQsKefDZKRTkIZos97HEGq2JMV1RT5ybMoQ3WsQ==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
label {
margin-right: 3px;
}
import { isArray } from '@mescius/wijmo';
import { Palettes } from '@mescius/wijmo.chart';
function getSales() {
return Math.round(Math.random() * 100);
}
function getData() {
var data = [
{
type: 'Music', items: [
{
type: 'Country', items: [
{ type: 'Classic Country', sales: getSales() },
{ type: 'Cowboy Country', sales: getSales() },
{ type: 'Outlaw Country', sales: getSales() },
{ type: 'Western Swing', sales: getSales() },
{ type: 'Roadhouse Country', sales: getSales() }
]
},
{
type: 'Rock', items: [
{ type: 'Hard Rock', sales: getSales() },
{ type: 'Blues Rock', sales: getSales() },
{ type: 'Funk Rock', sales: getSales() },
{ type: 'Rap Rock', sales: getSales() },
{ type: 'Guitar Rock', sales: getSales() },
{ type: 'Progressive Rock', sales: getSales() }
]
},
{
type: 'Classical', items: [
{ type: 'Symphonies', sales: getSales() },
{ type: 'Chamber Music', sales: getSales() }
]
},
{
type: 'Soundtracks', items: [
{ type: 'Movie Soundtracks', sales: getSales() },
{ type: 'Musical Soundtracks', sales: getSales() }
]
},
{
type: 'Jazz', items: [
{ type: 'Smooth Jazz', sales: getSales() },
{ type: 'Vocal Jazz', sales: getSales() },
{ type: 'Jazz Fusion', sales: getSales() },
{ type: 'Swing Jazz', sales: getSales() },
{ type: 'Cool Jazz', sales: getSales() },
{ type: 'Traditional Jazz', sales: getSales() }
]
},
{
type: 'Electronic', items: [
{ type: 'Electronica', sales: getSales() },
{ type: 'Disco', sales: getSales() },
{ type: 'House', sales: getSales() }
]
}
]
},
{
type: 'Video', items: [
{
type: 'Movie', items: [
{ type: 'Kid & Family', sales: getSales() },
{ type: 'Action & Adventure', sales: getSales() },
{ type: 'Animation', sales: getSales() },
{ type: 'Comedy', sales: getSales() },
{ type: 'Drama', sales: getSales() },
{ type: 'Romance', sales: getSales() }
]
},
{
type: 'TV', items: [
{ type: 'Science Fiction', sales: getSales() },
{ type: 'Documentary', sales: getSales() },
{ type: 'Fantasy', sales: getSales() },
{ type: 'Military & War', sales: getSales() },
{ type: 'Horror', sales: getSales() }
]
}
]
},
{
type: 'Books', items: [
{
type: 'Arts & Photography', items: [
{ type: 'Architecture', sales: getSales() },
{ type: 'Graphic Design', sales: getSales() },
{ type: 'Drawing', sales: getSales() },
{ type: 'Photography', sales: getSales() },
{ type: 'Performing Arts', sales: getSales() }
]
},
{
type: 'Children\'s Books', items: [
{ type: 'Beginning Readers', sales: getSales() },
{ type: 'Board Books', sales: getSales() },
{ type: 'Chapter Books', sales: getSales() },
{ type: 'Coloring Books', sales: getSales() },
{ type: 'Picture Books', sales: getSales() },
{ type: 'Sound Books', sales: getSales() }
]
},
{
type: 'History', items: [
{ type: 'Ancient', sales: getSales() },
{ type: 'Medieval', sales: getSales() },
{ type: 'Renaissance', sales: getSales() }
]
},
{
type: 'Mystery', items: [
{ type: 'Mystery', sales: getSales() },
{ type: 'Thriller & Suspense', sales: getSales() }
]
},
{
type: 'Romance', items: [
{ type: 'Action & Adventure', sales: getSales() },
{ type: 'Holidays', sales: getSales() },
{ type: 'Romantic Comedy', sales: getSales() },
{ type: 'Romantic Suspense', sales: getSales() },
{ type: 'Western', sales: getSales() },
{ type: 'Historical', sales: getSales() }
]
},
{
type: 'Sci-Fi & Fantasy', items: [
{ type: 'Fantasy', sales: getSales() },
{ type: 'Gaming', sales: getSales() },
{ type: 'Science Fiction', sales: getSales() }
]
}
]
},
{
type: 'Electronics', items: [
{
type: 'Camera', items: [
{ type: 'Digital Cameras', sales: getSales() },
{ type: 'Film Photography', sales: getSales() },
{ type: 'Lenses', sales: getSales() },
{ type: 'Video', sales: getSales() },
{ type: 'Accessories', sales: getSales() }
]
},
{
type: 'Headphones', items: [
{ type: 'Earbud headphones', sales: getSales() },
{ type: 'Over-ear headphones', sales: getSales() },
{ type: 'On-ear headphones', sales: getSales() },
{ type: 'Bluetooth headphones', sales: getSales() },
{ type: 'Noise-cancelling headphones', sales: getSales() },
{ type: 'Audiophile headphones', sales: getSales() }
]
},
{
type: 'Cell Phones', items: [
{ type: 'Cell Phones', sales: getSales() },
{
type: 'Accessories', items: [
{ type: 'Batteries', sales: getSales() },
{ type: 'Bluetooth Headsets', sales: getSales() },
{ type: 'Bluetooth Speakers', sales: getSales() },
{ type: 'Chargers', sales: getSales() },
{ type: 'Screen Protectors', sales: getSales() }
]
}
]
},
{
type: 'Wearable Technology', items: [
{ type: 'Activity Trackers', sales: getSales() },
{ type: 'Smart Watches', sales: getSales() },
{ type: 'Sports & GPS Watches', sales: getSales() },
{ type: 'Virtual Reality Headsets', sales: getSales() },
{ type: 'Wearable Cameras', sales: getSales() },
{ type: 'Smart Glasses', sales: getSales() }
]
}
]
},
{
type: 'Computers & Tablets', items: [
{
type: 'Desktops', items: [
{ type: 'All-in-ones', sales: getSales() },
{ type: 'Minis', sales: getSales() },
{ type: 'Towers', sales: getSales() }
]
},
{
type: 'Laptops', items: [
{ type: '2 in 1 laptops', sales: getSales() },
{ type: 'Traditional laptops', sales: getSales() }
]
},
{
type: 'Tablets', items: [
{ type: 'iOS', sales: getSales() },
{ type: 'Android', sales: getSales() },
{ type: 'Fire OS', sales: getSales() },
{ type: 'Windows', sales: getSales() }
]
}
]
}
];
return data;
}
function getRandomPalette() {
let palettes = Object.keys(Palettes).filter(prop => isArray(Palettes[prop]));
let rand = Math.floor(Math.random() * palettes.length);
//
return Palettes[palettes[rand]];
}
export const data = getData();
export const palette = getRandomPalette();
(function (global) {
window.process = {
env: {
NODE_ENV: "production"
}
}
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'jszip': 'npm:jszip/dist/jszip.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.grid.immutable': 'npm:@mescius/wijmo.grid.immutable/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.react.chart.analytics": "npm:@mescius/wijmo.react.chart.analytics/index.js",
"@mescius/wijmo.react.chart.animation": "npm:@mescius/wijmo.react.chart.animation/index.js",
"@mescius/wijmo.react.chart.annotation": "npm:@mescius/wijmo.react.chart.annotation/index.js",
"@mescius/wijmo.react.chart.finance.analytics": "npm:@mescius/wijmo.react.chart.finance.analytics/index.js",
"@mescius/wijmo.react.chart.finance": "npm:@mescius/wijmo.react.chart.finance/index.js",
"@mescius/wijmo.react.chart.hierarchical": "npm:@mescius/wijmo.react.chart.hierarchical/index.js",
"@mescius/wijmo.react.chart.interaction": "npm:@mescius/wijmo.react.chart.interaction/index.js",
"@mescius/wijmo.react.chart.radar": "npm:@mescius/wijmo.react.chart.radar/index.js",
"@mescius/wijmo.react.chart": "npm:@mescius/wijmo.react.chart/index.js",
"@mescius/wijmo.react.core": "npm:@mescius/wijmo.react.core/index.js",
'@mescius/wijmo.react.chart.map': 'npm:@mescius/wijmo.react.chart.map/index.js',
"@mescius/wijmo.react.gauge": "npm:@mescius/wijmo.react.gauge/index.js",
"@mescius/wijmo.react.grid.detail": "npm:@mescius/wijmo.react.grid.detail/index.js",
"@mescius/wijmo.react.grid.filter": "npm:@mescius/wijmo.react.grid.filter/index.js",
"@mescius/wijmo.react.grid.grouppanel": "npm:@mescius/wijmo.react.grid.grouppanel/index.js",
'@mescius/wijmo.react.grid.search': 'npm:@mescius/wijmo.react.grid.search/index.js',
"@mescius/wijmo.react.grid.multirow": "npm:@mescius/wijmo.react.grid.multirow/index.js",
"@mescius/wijmo.react.grid.sheet": "npm:@mescius/wijmo.react.grid.sheet/index.js",
'@mescius/wijmo.react.grid.transposed': 'npm:@mescius/wijmo.react.grid.transposed/index.js',
'@mescius/wijmo.react.grid.transposedmultirow': 'npm:@mescius/wijmo.react.grid.transposedmultirow/index.js',
'@mescius/wijmo.react.grid.immutable': 'npm:@mescius/wijmo.react.grid.immutable/index.js',
"@mescius/wijmo.react.grid": "npm:@mescius/wijmo.react.grid/index.js",
"@mescius/wijmo.react.input": "npm:@mescius/wijmo.react.input/index.js",
"@mescius/wijmo.react.olap": "npm:@mescius/wijmo.react.olap/index.js",
"@mescius/wijmo.react.viewer": "npm:@mescius/wijmo.react.viewer/index.js",
"@mescius/wijmo.react.nav": "npm:@mescius/wijmo.react.nav/index.js",
"@mescius/wijmo.react.base": "npm:@mescius/wijmo.react.base/index.js",
'@mescius/wijmo.react.barcode.common': 'npm:@mescius/wijmo.react.barcode.common/index.js',
'@mescius/wijmo.react.barcode.composite': 'npm:@mescius/wijmo.react.barcode.composite/index.js',
'@mescius/wijmo.react.barcode.specialized': 'npm:@mescius/wijmo.react.barcode.specialized/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'react': 'npm:react/index.js',
'react-dom': 'npm:react-dom/index.js',
'react-dom/client': 'npm:react-dom/client.js',
"scheduler": "npm:scheduler/index.js",
'redux': 'npm:redux/dist/redux.min.js',
'react-redux': 'npm:react-redux/dist/react-redux.min.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
"react-use-event-hook": "npm:react-use-event-hook/dist/esm/useEvent.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

<template>
<div class="container-fluid">
<div class="form-group">
<label>Max Depth</label>
<wj-input-number :min="0" :max="4" :step="1" format="n0" :value="maxDepth"
:valueChanged="maxDepthChanged"></wj-input-number>
</div>
<div class="form-group">
<wj-tree-map binding="sales" bindingName="type" childItemsPath="items" labelContent="{name}"
:itemsSource="data" :palette="palette" :maxDepth="maxDepth">
</wj-tree-map>
</div>
</div>
</template>
<script setup>
import { getData } from "./data";
import { isArray } from "@mescius/wijmo";
import { Palettes } from "@mescius/wijmo.chart";
import { ref } from "vue";
const data = ref(getData());
const palette = ref(getRandomPalette());
const maxDepth = ref(1);
function maxDepthChanged(s) {
if (s.value >= s.min && s.value <= s.max) {
maxDepth.value = s.value;
}
}
function getRandomPalette() {
let palettes = Object.keys(Palettes).filter((prop) => isArray(Palettes[prop]));
let rand = Math.floor(Math.random() * palettes.length);
//
return Palettes[palettes[rand]];
}
</script>
<style>
body {
margin-bottom: 24px;
}
label {
margin-right: 3px;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo FlexChart TreeMap Depth</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="compiler.js" type="module"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
function getSales() {
return Math.round(Math.random() * 100);
}
//
export function getData() {
var data = [
{
type: 'Music', items: [
{
type: 'Country', items: [
{ type: 'Classic Country', sales: getSales() },
{ type: 'Cowboy Country', sales: getSales() },
{ type: 'Outlaw Country', sales: getSales() },
{ type: 'Western Swing', sales: getSales() },
{ type: 'Roadhouse Country', sales: getSales() }
]
},
{
type: 'Rock', items: [
{ type: 'Hard Rock', sales: getSales() },
{ type: 'Blues Rock', sales: getSales() },
{ type: 'Funk Rock', sales: getSales() },
{ type: 'Rap Rock', sales: getSales() },
{ type: 'Guitar Rock', sales: getSales() },
{ type: 'Progressive Rock', sales: getSales() }
]
},
{
type: 'Classical', items: [
{ type: 'Symphonies', sales: getSales() },
{ type: 'Chamber Music', sales: getSales() }
]
},
{
type: 'Soundtracks', items: [
{ type: 'Movie Soundtracks', sales: getSales() },
{ type: 'Musical Soundtracks', sales: getSales() }
]
},
{
type: 'Jazz', items: [
{ type: 'Smooth Jazz', sales: getSales() },
{ type: 'Vocal Jazz', sales: getSales() },
{ type: 'Jazz Fusion', sales: getSales() },
{ type: 'Swing Jazz', sales: getSales() },
{ type: 'Cool Jazz', sales: getSales() },
{ type: 'Traditional Jazz', sales: getSales() }
]
},
{
type: 'Electronic', items: [
{ type: 'Electronica', sales: getSales() },
{ type: 'Disco', sales: getSales() },
{ type: 'House', sales: getSales() }
]
}
]
},
{
type: 'Video', items: [
{
type: 'Movie', items: [
{ type: 'Kid & Family', sales: getSales() },
{ type: 'Action & Adventure', sales: getSales() },
{ type: 'Animation', sales: getSales() },
{ type: 'Comedy', sales: getSales() },
{ type: 'Drama', sales: getSales() },
{ type: 'Romance', sales: getSales() }
]
},
{
type: 'TV', items: [
{ type: 'Science Fiction', sales: getSales() },
{ type: 'Documentary', sales: getSales() },
{ type: 'Fantasy', sales: getSales() },
{ type: 'Military & War', sales: getSales() },
{ type: 'Horror', sales: getSales() }
]
}
]
},
{
type: 'Books', items: [
{
type: 'Arts & Photography', items: [
{ type: 'Architecture', sales: getSales() },
{ type: 'Graphic Design', sales: getSales() },
{ type: 'Drawing', sales: getSales() },
{ type: 'Photography', sales: getSales() },
{ type: 'Performing Arts', sales: getSales() }
]
},
{
type: 'Children\'s Books', items: [
{ type: 'Beginning Readers', sales: getSales() },
{ type: 'Board Books', sales: getSales() },
{ type: 'Chapter Books', sales: getSales() },
{ type: 'Coloring Books', sales: getSales() },
{ type: 'Picture Books', sales: getSales() },
{ type: 'Sound Books', sales: getSales() }
]
},
{
type: 'History', items: [
{ type: 'Ancient', sales: getSales() },
{ type: 'Medieval', sales: getSales() },
{ type: 'Renaissance', sales: getSales() }
]
},
{
type: 'Mystery', items: [
{ type: 'Mystery', sales: getSales() },
{ type: 'Thriller & Suspense', sales: getSales() }
]
},
{
type: 'Romance', items: [
{ type: 'Action & Adventure', sales: getSales() },
{ type: 'Holidays', sales: getSales() },
{ type: 'Romantic Comedy', sales: getSales() },
{ type: 'Romantic Suspense', sales: getSales() },
{ type: 'Western', sales: getSales() },
{ type: 'Historical', sales: getSales() }
]
},
{
type: 'Sci-Fi & Fantasy', items: [
{ type: 'Fantasy', sales: getSales() },
{ type: 'Gaming', sales: getSales() },
{ type: 'Science Fiction', sales: getSales() }
]
}
]
},
{
type: 'Electronics', items: [
{
type: 'Camera', items: [
{ type: 'Digital Cameras', sales: getSales() },
{ type: 'Film Photography', sales: getSales() },
{ type: 'Lenses', sales: getSales() },
{ type: 'Video', sales: getSales() },
{ type: 'Accessories', sales: getSales() }
]
},
{
type: 'Headphones', items: [
{ type: 'Earbud headphones', sales: getSales() },
{ type: 'Over-ear headphones', sales: getSales() },
{ type: 'On-ear headphones', sales: getSales() },
{ type: 'Bluetooth headphones', sales: getSales() },
{ type: 'Noise-cancelling headphones', sales: getSales() },
{ type: 'Audiophile headphones', sales: getSales() }
]
},
{
type: 'Cell Phones', items: [
{ type: 'Cell Phones', sales: getSales() },
{
type: 'Accessories', items: [
{ type: 'Batteries', sales: getSales() },
{ type: 'Bluetooth Headsets', sales: getSales() },
{ type: 'Bluetooth Speakers', sales: getSales() },
{ type: 'Chargers', sales: getSales() },
{ type: 'Screen Protectors', sales: getSales() }
]
}
]
},
{
type: 'Wearable Technology', items: [
{ type: 'Activity Trackers', sales: getSales() },
{ type: 'Smart Watches', sales: getSales() },
{ type: 'Sports & GPS Watches', sales: getSales() },
{ type: 'Virtual Reality Headsets', sales: getSales() },
{ type: 'Wearable Cameras', sales: getSales() },
{ type: 'Smart Glasses', sales: getSales() }
]
}
]
},
{
type: 'Computers & Tablets', items: [
{
type: 'Desktops', items: [
{ type: 'All-in-ones', sales: getSales() },
{ type: 'Minis', sales: getSales() },
{ type: 'Towers', sales: getSales() }
]
},
{
type: 'Laptops', items: [
{ type: '2 in 1 laptops', sales: getSales() },
{ type: 'Traditional laptops', sales: getSales() }
]
},
{
type: 'Tablets', items: [
{ type: 'iOS', sales: getSales() },
{ type: 'Android', sales: getSales() },
{ type: 'Fire OS', sales: getSales() },
{ type: 'Windows', sales: getSales() }
]
}
]
}
];
return data;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: '../plugin-vue/index.js' }
//'*.vue': { loader: 'systemjs-plugin-vue' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.vue2.chart.analytics": "npm:@mescius/wijmo.vue2.chart.analytics/index.js",
"@mescius/wijmo.vue2.chart.animation": "npm:@mescius/wijmo.vue2.chart.animation/index.js",
"@mescius/wijmo.vue2.chart.annotation": "npm:@mescius/wijmo.vue2.chart.annotation/index.js",
"@mescius/wijmo.vue2.chart.finance.analytics": "npm:@mescius/wijmo.vue2.chart.finance.analytics/index.js",
"@mescius/wijmo.vue2.chart.finance": "npm:@mescius/wijmo.vue2.chart.finance/index.js",
"@mescius/wijmo.vue2.chart.hierarchical": "npm:@mescius/wijmo.vue2.chart.hierarchical/index.js",
"@mescius/wijmo.vue2.chart.interaction": "npm:@mescius/wijmo.vue2.chart.interaction/index.js",
"@mescius/wijmo.vue2.chart.radar": "npm:@mescius/wijmo.vue2.chart.radar/index.js",
'@mescius/wijmo.vue2.chart.map': 'npm:@mescius/wijmo.vue2.chart.map/index.js',
"@mescius/wijmo.vue2.chart": "npm:@mescius/wijmo.vue2.chart/index.js",
"@mescius/wijmo.vue2.core": "npm:@mescius/wijmo.vue2.core/index.js",
"@mescius/wijmo.vue2.gauge": "npm:@mescius/wijmo.vue2.gauge/index.js",
"@mescius/wijmo.vue2.grid.detail": "npm:@mescius/wijmo.vue2.grid.detail/index.js",
"@mescius/wijmo.vue2.grid.filter": "npm:@mescius/wijmo.vue2.grid.filter/index.js",
"@mescius/wijmo.vue2.grid.grouppanel": "npm:@mescius/wijmo.vue2.grid.grouppanel/index.js",
'@mescius/wijmo.vue2.grid.search': 'npm:@mescius/wijmo.vue2.grid.search/index.js',
"@mescius/wijmo.vue2.grid.multirow": "npm:@mescius/wijmo.vue2.grid.multirow/index.js",
"@mescius/wijmo.vue2.grid.sheet": "npm:@mescius/wijmo.vue2.grid.sheet/index.js",
'@mescius/wijmo.vue2.grid.transposed': 'npm:@mescius/wijmo.vue2.grid.transposed/index.js',
'@mescius/wijmo.vue2.grid.transposedmultirow': 'npm:@mescius/wijmo.vue2.grid.transposedmultirow/index.js',
"@mescius/wijmo.vue2.grid": "npm:@mescius/wijmo.vue2.grid/index.js",
"@mescius/wijmo.vue2.input": "npm:@mescius/wijmo.vue2.input/index.js",
"@mescius/wijmo.vue2.olap": "npm:@mescius/wijmo.vue2.olap/index.js",
"@mescius/wijmo.vue2.viewer": "npm:@mescius/wijmo.vue2.viewer/index.js",
"@mescius/wijmo.vue2.nav": "npm:@mescius/wijmo.vue2.nav/index.js",
"@mescius/wijmo.vue2.base": "npm:@mescius/wijmo.vue2.base/index.js",
'@mescius/wijmo.vue2.barcode.common': 'npm:@mescius/wijmo.vue2.barcode.common/index.js',
'@mescius/wijmo.vue2.barcode.composite': 'npm:@mescius/wijmo.vue2.barcode.composite/index.js',
'@mescius/wijmo.vue2.barcode.specialized': 'npm:@mescius/wijmo.vue2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
//'systemjs-plugin-vue': 'npm:systemjs-plugin-vue/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);